Skip to main content
GET
/
packages
/
artifacthub
/
{package_id}
/
versions
/
{version}
/
values_schema
Resolve Artifact Hub chart values + schema
curl --request GET \
  --url https://api.akua.dev/v1/packages/artifacthub/{package_id}/versions/{version}/values_schema \
  --header 'Authorization: Bearer <token>'
{
  "values": {},
  "schema": {},
  "values_yaml": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

package_id
string
required

Artifact Hub package id

Example:

"a1b2c3d4-..."

version
string
required

Chart version

Example:

"1.2.3"

Query Parameters

include_schema
enum<string>

Also fetch the chart's published values-schema and merge it in

Available options:
true,
false

Response

Resolved chart values + schema

values
object
required

Parsed chart values object

schema
object
required

JSON Schema for the values (null when the values cannot be parsed)

values_yaml
string
required

Raw chart values YAML